package com.ruoyi.warehouseBusiness.domain.dto;

import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfeesModify;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author ruoyi
 * @date 2021-10-27
 */
public class WarehouseBillsFeesModifyDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 来源仓库id
     */
    @NotNull
    private Long warehouseId;

    /**
     * 追加费用信息
     */
//    @Min(1)
    private List<TWarehousebillsfeesModify> modifyList;

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public List<TWarehousebillsfeesModify> getModifyList() {
        return modifyList;
    }

    public void setModifyList(List<TWarehousebillsfeesModify> modifyList) {
        this.modifyList = modifyList;
    }

    @Override
    public String toString() {
        return "WarehouseBillsFeesModifyDto{" +
                "warehouseId=" + warehouseId +
                ", modifyList=" + modifyList +
                '}';
    }
}
